Bug 117572 - ldconfig deletes lib symlinks in qt
ldconfig deletes lib symlinks in qt
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-03-05 09:49 EST by Jonathan Kamens
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-26 04:59:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-03-05 09:49:22 EST
Immediately after installing qt-3.3.1-0.1:

jik:/usr/src/packages!1046$ rpm --verify qt
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such 
file or directory
missing    /usr/lib/qt-3.3/lib/libqt.so.3.3
missing    /usr/lib/qt-3.3/lib/libqt.so.3.3.0

It would seem that the ldconfig that runs after installation deletes 
these links because they're not in the standard format.
Comment 1 Ngo Than 2004-03-26 04:59:21 EST
the qt was built with threading support since RHL 8, the libqt
symlinks are not used anymore and will be removed in next rebuild.

Note You need to log in before you can comment on or make changes to this bug.